### Method

# GimpUi ProcedureDialog get_color_widget

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_color_widget (
      GimpProcedureDialog* dialog,
      const gchar* property,
      gboolean editable,
      GimpColorAreaType type
    )

#### Description [src]

Creates a new widget for `property` which must necessarily be a `GeglColor` property. This must be used instead of `gimp_procedure_dialog_get_widget()` when you want a `GimpLabelColor` which is not customizable for a color property, or when to set a specific `type`.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property`

  Type: `const gchar*`

  Name of the `GeglColor` property to build a widget for. It must be a property of the `GimpProcedure` `dialog` has been created for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`editable`

  Type: `gboolean`

  Whether the color can be edited or is only for display.

`type`

  Type: `GimpColorAreaType`

  The `GimpColorAreaType`.

#### Return value

Type: `GtkWidget`

A `GimpLabelColor` representing `property`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.